<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/user_info_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/17/88  user_info_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The user_info_ subroutine allows the user to obtain information
<span id="L5" class="LineNr">  5 </span>concerning his login session.  All entry points that accept more than
<span id="L6" class="LineNr">  6 </span>one argument count their arguments and only return values for the
<span id="L7" class="LineNr">  7 </span>number of arguments given.
<span id="L8" class="LineNr">  8 </span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>Entry points in user_info_:
<span id="L11" class="LineNr"> 11 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>:Entry:  user_info_:  03/08/85  user_info_
<span id="L15" class="LineNr"> 15 </span>
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>Function:
<span id="L18" class="LineNr"> 18 </span>The user_info_ entry point returns the user's login name, project name,
<span id="L19" class="LineNr"> 19 </span>and account identifier.
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>Syntax:
<span id="L23" class="LineNr"> 23 </span>declare user_info_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr"> 24 </span>call user_info_ <span class="textRainbow_lv0_p0">(</span>person_id<span class="textRainbow_lv0_o0">,</span> project_id<span class="textRainbow_lv0_o0">,</span> acct<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>Arguments:
<span id="L28" class="LineNr"> 28 </span>person_id
<span id="L29" class="LineNr"> 29 </span>   is the user's name from the login line <span class="textRainbow_lv0_p0">(</span>maximum of 22 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L30" class="LineNr"> 30 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr"> 31 </span>project_id
<span id="L32" class="LineNr"> 32 </span>   is the user's project identifier <span class="textRainbow_lv0_p0">(</span>maximum of 9 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L33" class="LineNr"> 33 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L34" class="LineNr"> 34 </span>acct
<span id="L35" class="LineNr"> 35 </span>   is the user's account identifier <span class="textRainbow_lv0_p0">(</span>maximum of 32 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L36" class="LineNr"> 36 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr"> 37 </span>
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>:Entry:  absentee_queue:  03/08/85 user_info_$absentee_queue
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>Function:  This entry point returns the queue number of the absentee
<span id="L43" class="LineNr"> 43 </span>queue for an absentee process.  For an interactive process, the number
<span id="L44" class="LineNr"> 44 </span>returned is -1.
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>Syntax:
<span id="L48" class="LineNr"> 48 </span>declare user_info_$absentee_queue entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L49" class="LineNr"> 49 </span>call user_info_$absentee_queue <span class="textRainbow_lv0_p0">(</span>queue<span class="textRainbow_lv0_p0">)</span>;
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>Arguments:
<span id="L53" class="LineNr"> 53 </span>queue
<span id="L54" class="LineNr"> 54 </span>   is the number of the absentee queue.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>:Entry:  absentee_request_id:  03/08/85 user_info_$absentee_request_id
<span id="L58" class="LineNr"> 58 </span>
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>Function:  This entry point returns the identifier by which the
<span id="L61" class="LineNr"> 61 </span>absentee request is known to the absentee user manager.  This is the ID
<span id="L62" class="LineNr"> 62 </span>which is used by the absentee request commands enter_abs_request,
<span id="L63" class="LineNr"> 63 </span>cancel_abs_request and move_abs_request.
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>Syntax:
<span id="L67" class="LineNr"> 67 </span>declare user_info_$absentee_request_id entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L68" class="LineNr"> 68 </span>call user_info_$absentee_request_id <span class="textRainbow_lv0_p0">(</span>request_id<span class="textRainbow_lv0_p0">)</span>;
<span id="L69" class="LineNr"> 69 </span>
<span id="L70" class="LineNr"> 70 </span>
<span id="L71" class="LineNr"> 71 </span>Arguments:
<span id="L72" class="LineNr"> 72 </span>request_id
<span id="L73" class="LineNr"> 73 </span>   is the request ID corresponding to this absentee process.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L74" class="LineNr"> 74 </span>   For an interactive or daemon process, the request_id returned is 0.
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>:Entry: absentee_restarted: 03/30/86 user_info_$absentee_restarted
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>Function: This entry point returns a bit indicating whether this
<span id="L81" class="LineNr"> 81 </span>absentee process has been restarted after a system crash.
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>Syntax:
<span id="L85" class="LineNr"> 85 </span>declare user_info_$absentee_restarted entry <span class="textRainbow_lv0_p0">(</span>bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L86" class="LineNr"> 86 </span>call user_info_$absentee_restarted <span class="textRainbow_lv0_p0">(</span>restarted_bit<span class="textRainbow_lv0_p0">)</span>;
<span id="L87" class="LineNr"> 87 </span>
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>Arguments:
<span id="L90" class="LineNr"> 90 </span>restarted_bit
<span id="L91" class="LineNr"> 91 </span>   is &quot;1&quot;b if this absentee process was restarted after a system
<span id="L92" class="LineNr"> 92 </span>   crash, &quot;0&quot;b if not. See Notes. <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.
<span id="L93" class="LineNr"> 93 </span>
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>Notes:
<span id="L96" class="LineNr"> 96 </span>If this absentee process was restarted after a system crash, and the
<span id="L97" class="LineNr"> 97 </span>absout_truncation bit is on, truncation will not be performed. See
<span id="L98" class="LineNr"> 98 </span>user_info_$absout_truncation.
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>
<span id="L101" class="LineNr">101 </span>:Entry:  absin:  03/08/85 user_info_$absin
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>Function:  This entry point returns the pathname of the absentee input
<span id="L105" class="LineNr">105 </span>segment for an absentee job.  For an interactive user, the pathname is
<span id="L106" class="LineNr">106 </span>returned as blanks.
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>
<span id="L109" class="LineNr">109 </span>Syntax:
<span id="L110" class="LineNr">110 </span>declare user_info_$absin entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L111" class="LineNr">111 </span>call user_info_$absin <span class="textRainbow_lv0_p0">(</span>path<span class="textRainbow_lv0_p0">)</span>;
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>Arguments:
<span id="L115" class="LineNr">115 </span>path
<span id="L116" class="LineNr">116 </span>   is the pathname of the absentee input segment <span class="textRainbow_lv0_p0">(</span>maximum of 168
<span id="L117" class="LineNr">117 </span>   characters<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>:Entry:  absout:  03/08/85 user_info_$absout
<span id="L121" class="LineNr">121 </span>
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>Function:  This entry point returns the pathname of the absentee output
<span id="L124" class="LineNr">124 </span>segment for an absentee job.  For an interactive user, the pathname is
<span id="L125" class="LineNr">125 </span>returned as blanks.
<span id="L126" class="LineNr">126 </span>
<span id="L127" class="LineNr">127 </span>
<span id="L128" class="LineNr">128 </span>Syntax:
<span id="L129" class="LineNr">129 </span>declare user_info_$absout entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L130" class="LineNr">130 </span>call user_info_$absout <span class="textRainbow_lv0_p0">(</span>path<span class="textRainbow_lv0_p0">)</span>;
<span id="L131" class="LineNr">131 </span>
<span id="L132" class="LineNr">132 </span>
<span id="L133" class="LineNr">133 </span>Arguments:
<span id="L134" class="LineNr">134 </span>path
<span id="L135" class="LineNr">135 </span>   is the pathname of the absentee output segment <span class="textRainbow_lv0_p0">(</span>maximum of 168
<span id="L136" class="LineNr">136 </span>   characters<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>
<span id="L139" class="LineNr">139 </span>:Entry: absout_truncation: 03/30/86 user_info_$absout_truncation
<span id="L140" class="LineNr">140 </span>
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>Function: This entry returns a bit indicating whether the absentee
<span id="L143" class="LineNr">143 </span>process had the -truncate absout file argument requested.
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>Syntax:
<span id="L147" class="LineNr">147 </span>declare user_info_$absout_truncation entry <span class="textRainbow_lv0_p0">(</span>bit <span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L148" class="LineNr">148 </span>call user_info_$absout_truncation <span class="textRainbow_lv0_p0">(</span>truncate_bit<span class="textRainbow_lv0_p0">)</span>;
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>
<span id="L151" class="LineNr">151 </span>Arguments:
<span id="L152" class="LineNr">152 </span>truncate_bit
<span id="L153" class="LineNr">153 </span>   is &quot;1&quot;b if the -truncate argument was used for the request which
<span id="L154" class="LineNr">154 </span>   created this absentee process, or &quot;0&quot;b if not. See Notes. <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.
<span id="L155" class="LineNr">155 </span>
<span id="L156" class="LineNr">156 </span>
<span id="L157" class="LineNr">157 </span>Notes:
<span id="L158" class="LineNr">158 </span>If the absentee process has been restarted after a system crash, and the
<span id="L159" class="LineNr">159 </span>truncate_absout bit is set, truncation will not be peoformed. See
<span id="L160" class="LineNr">160 </span>user_info_$absentee_restarted.
<span id="L161" class="LineNr">161 </span>
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>:Entry:  attributes:  03/08/85 user_info_$attributes
<span id="L164" class="LineNr">164 </span>
<span id="L165" class="LineNr">165 </span>
<span id="L166" class="LineNr">166 </span>Function:  This entry point returns a character string containing the
<span id="L167" class="LineNr">167 </span>name of the user's attributes, each separated by a comma and a space,
<span id="L168" class="LineNr">168 </span>and ending in a semicolon.  Attributes control such things as the ways
<span id="L169" class="LineNr">169 </span>in which the user may log in, and the arguments that he is permitted to
<span id="L170" class="LineNr">170 </span>give when logging in.  They are assigned by the project or system
<span id="L171" class="LineNr">171 </span>administrator.  Login attributes are defined in the MAM Project
<span id="L172" class="LineNr">172 </span>Administrator's manual.
<span id="L173" class="LineNr">173 </span>
<span id="L174" class="LineNr">174 </span>
<span id="L175" class="LineNr">175 </span>Syntax:
<span id="L176" class="LineNr">176 </span>declare user_info_$attributes entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> varying<span class="textRainbow_lv0_p0">)</span>;
<span id="L177" class="LineNr">177 </span>call user_info_$attributes <span class="textRainbow_lv0_p0">(</span>attr<span class="textRainbow_lv0_p0">)</span>;
<span id="L178" class="LineNr">178 </span>
<span id="L179" class="LineNr">179 </span>
<span id="L180" class="LineNr">180 </span>Arguments:
<span id="L181" class="LineNr">181 </span>attr
<span id="L182" class="LineNr">182 </span>   is the string containing the names of the user's attributes.
<span id="L183" class="LineNr">183 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L184" class="LineNr">184 </span>
<span id="L185" class="LineNr">185 </span>
<span id="L186" class="LineNr">186 </span>:Entry:  authorization_range:  03/08/85 user_info_$authorization_range
<span id="L187" class="LineNr">187 </span>
<span id="L188" class="LineNr">188 </span>
<span id="L189" class="LineNr">189 </span>Function:  This entry point returns the range of authorizations at
<span id="L190" class="LineNr">190 </span>which the calling user may create a process.
<span id="L191" class="LineNr">191 </span>
<span id="L192" class="LineNr">192 </span>
<span id="L193" class="LineNr">193 </span>Syntax:
<span id="L194" class="LineNr">194 </span>declare user_info_$authorization_range entry <span class="textRainbow_lv0_p0">(</span><span class="textRainbow_lv1_p0">(</span>2<span class="textRainbow_lv1_p0">)</span> bit <span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L195" class="LineNr">195 </span>call user_info_$authorization_range <span class="textRainbow_lv0_p0">(</span>auth_range<span class="textRainbow_lv0_p0">)</span>;
<span id="L196" class="LineNr">196 </span>
<span id="L197" class="LineNr">197 </span>
<span id="L198" class="LineNr">198 </span>Arguments:
<span id="L199" class="LineNr">199 </span>auth_range
<span id="L200" class="LineNr">200 </span>   represents the range of authorizations at which the user may log in.
<span id="L201" class="LineNr">201 </span>
<span id="L202" class="LineNr">202 </span>
<span id="L203" class="LineNr">203 </span>:Entry:  homedir:  03/08/85 user_info_$homedir
<span id="L204" class="LineNr">204 </span>
<span id="L205" class="LineNr">205 </span>
<span id="L206" class="LineNr">206 </span>Function:  This entry point returns the pathname of the user's initial
<span id="L207" class="LineNr">207 </span>working directory.
<span id="L208" class="LineNr">208 </span>
<span id="L209" class="LineNr">209 </span>
<span id="L210" class="LineNr">210 </span>Syntax:
<span id="L211" class="LineNr">211 </span>declare user_info_$homedir entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L212" class="LineNr">212 </span>call user_info_$homedir <span class="textRainbow_lv0_p0">(</span>hdir<span class="textRainbow_lv0_p0">)</span>;
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>Arguments:
<span id="L216" class="LineNr">216 </span>hdir
<span id="L217" class="LineNr">217 </span>   is the pathname of the user's home directory <span class="textRainbow_lv0_p0">(</span>maximum of 64
<span id="L218" class="LineNr">218 </span>   characters<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L219" class="LineNr">219 </span>
<span id="L220" class="LineNr">220 </span>
<span id="L221" class="LineNr">221 </span>:Entry:  limits:  03/08/85 user_info_$limits
<span id="L222" class="LineNr">222 </span>
<span id="L223" class="LineNr">223 </span>
<span id="L224" class="LineNr">224 </span>Function:  This entry point returns the limit values established for
<span id="L225" class="LineNr">225 </span>the user by the project administrator and also returns the user's
<span id="L226" class="LineNr">226 </span>spending against these limits.
<span id="L227" class="LineNr">227 </span>
<span id="L228" class="LineNr">228 </span>If a limit is specified as open, the limit value returned is 1.0e37.
<span id="L229" class="LineNr">229 </span>
<span id="L230" class="LineNr">230 </span>
<span id="L231" class="LineNr">231 </span>Syntax:
<span id="L232" class="LineNr">232 </span>declare user_info_$limits entry <span class="textRainbow_lv0_p0">(</span>float bin<span class="textRainbow_lv0_o0">,</span> float bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L233" class="LineNr">233 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> <span class="textRainbow_lv1_p0">(</span>0:7<span class="textRainbow_lv1_p0">)</span> float bin<span class="textRainbow_lv0_o0">,</span> float bin<span class="textRainbow_lv0_o0">,</span> float bin<span class="textRainbow_lv0_o0">,</span>
<span id="L234" class="LineNr">234 </span>     <span class="textRainbow_lv1_p0">(</span>0:7<span class="textRainbow_lv1_p0">)</span> float bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L235" class="LineNr">235 </span>call user_info_$limits <span class="textRainbow_lv0_p0">(</span>mlim<span class="textRainbow_lv0_o0">,</span> clim<span class="textRainbow_lv0_o0">,</span> cdate<span class="textRainbow_lv0_o0">,</span> crf<span class="textRainbow_lv0_o0">,</span> shlim<span class="textRainbow_lv0_o0">,</span> msp<span class="textRainbow_lv0_o0">,</span> csp<span class="textRainbow_lv0_o0">,</span> shsp<span class="textRainbow_lv0_p0">)</span>;
<span id="L236" class="LineNr">236 </span>
<span id="L237" class="LineNr">237 </span>
<span id="L238" class="LineNr">238 </span>Arguments:
<span id="L239" class="LineNr">239 </span>mlim
<span id="L240" class="LineNr">240 </span>   is the dollar amount the user can spend in the month.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L241" class="LineNr">241 </span>clim
<span id="L242" class="LineNr">242 </span>   is the dollar amount the user can spend <span class="textRainbow_lv0_p0">(</span>cutoff limit<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L243" class="LineNr">243 </span>cdate
<span id="L244" class="LineNr">244 </span>   is the cutoff date.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L245" class="LineNr">245 </span>
<span id="L246" class="LineNr">246 </span>
<span id="L247" class="LineNr">247 </span>crf
<span id="L248" class="LineNr">248 </span>   is the cutoff refresh code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> This indicates what happens at
<span id="L249" class="LineNr">249 </span>   the cutoff date:
<span id="L250" class="LineNr">250 </span>   0   permanent cutoff
<span id="L251" class="LineNr">251 </span>   1   add one day
<span id="L252" class="LineNr">252 </span>   2   add one month
<span id="L253" class="LineNr">253 </span>   3   add one year
<span id="L254" class="LineNr">254 </span>   4   add one calendar year
<span id="L255" class="LineNr">255 </span>   5   add one fiscal year
<span id="L256" class="LineNr">256 </span>
<span id="L257" class="LineNr">257 </span>
<span id="L258" class="LineNr">258 </span>shlim
<span id="L259" class="LineNr">259 </span>   is an array that shows the dollar amount the user can spend per
<span id="L260" class="LineNr">260 </span>   shift.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L261" class="LineNr">261 </span>msp
<span id="L262" class="LineNr">262 </span>   is the month-to-date spending in dollars.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L263" class="LineNr">263 </span>csp
<span id="L264" class="LineNr">264 </span>   is the spending against the cutoff limit in dollars.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L265" class="LineNr">265 </span>shsp
<span id="L266" class="LineNr">266 </span>   is the array of spending against shift limits in dollars.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L267" class="LineNr">267 </span>
<span id="L268" class="LineNr">268 </span>
<span id="L269" class="LineNr">269 </span>:Entry:  load_ctl_info:  03/08/85 user_info_$load_ctl_info
<span id="L270" class="LineNr">270 </span>
<span id="L271" class="LineNr">271 </span>
<span id="L272" class="LineNr">272 </span>Function:  This entry point returns load control information for the
<span id="L273" class="LineNr">273 </span>user.
<span id="L274" class="LineNr">274 </span>
<span id="L275" class="LineNr">275 </span>
<span id="L276" class="LineNr">276 </span>Syntax:
<span id="L277" class="LineNr">277 </span>declare user_info_$load_ctl_info entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L278" class="LineNr">278 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L279" class="LineNr">279 </span>call user_info_$load_ctl_info <span class="textRainbow_lv0_p0">(</span>group<span class="textRainbow_lv0_o0">,</span> stby<span class="textRainbow_lv0_o0">,</span> preempt_time<span class="textRainbow_lv0_o0">,</span> weight<span class="textRainbow_lv0_p0">)</span>;
<span id="L280" class="LineNr">280 </span>
<span id="L281" class="LineNr">281 </span>
<span id="L282" class="LineNr">282 </span>Arguments:
<span id="L283" class="LineNr">283 </span>group
<span id="L284" class="LineNr">284 </span>   is the name of the load control group.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L285" class="LineNr">285 </span>stby
<span id="L286" class="LineNr">286 </span>   indicates whether a user is a standby user <span class="textRainbow_lv0_p0">(</span>i.e.<span class="textRainbow_lv0_o0">,</span> one who can be
<span id="L287" class="LineNr">287 </span>   preempted<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L288" class="LineNr">288 </span>   1 can be preempted
<span id="L289" class="LineNr">289 </span>   0 cannot be preempted
<span id="L290" class="LineNr">290 </span>preempt_time
<span id="L291" class="LineNr">291 </span>   is the clock time after which the user becomes standby.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L292" class="LineNr">292 </span>weight
<span id="L293" class="LineNr">293 </span>   is 10 times the user's weight.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> Weight is a measure of the
<span id="L294" class="LineNr">294 </span>   load placed on the system by the user; most users have a weight of
<span id="L295" class="LineNr">295 </span>   1.
<span id="L296" class="LineNr">296 </span>
<span id="L297" class="LineNr">297 </span>
<span id="L298" class="LineNr">298 </span>:Entry:  login_arg_count:  03/08/85 user_info_$login_arg_count
<span id="L299" class="LineNr">299 </span>
<span id="L300" class="LineNr">300 </span>
<span id="L301" class="LineNr">301 </span>Function:  This entry point returns the number of arguments which were
<span id="L302" class="LineNr">302 </span>provided to the process by the command responsible for the creation of
<span id="L303" class="LineNr">303 </span>the process.  For an absentee process, arguments are given to the
<span id="L304" class="LineNr">304 </span>enter_abs_request command, using the control argument -arguments.  For
<span id="L305" class="LineNr">305 </span>interactive and daemon processes, arguments are specified on the login
<span id="L306" class="LineNr">306 </span>command line, also using the control argument -arguments.
<span id="L307" class="LineNr">307 </span>
<span id="L308" class="LineNr">308 </span>
<span id="L309" class="LineNr">309 </span>Syntax:
<span id="L310" class="LineNr">310 </span>declare user_info_$login_arg_count entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L311" class="LineNr">311 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L312" class="LineNr">312 </span>call user_info_$login_arg_count <span class="textRainbow_lv0_p0">(</span>count<span class="textRainbow_lv0_o0">,</span> max_length<span class="textRainbow_lv0_o0">,</span> total_length<span class="textRainbow_lv0_p0">)</span>;
<span id="L313" class="LineNr">313 </span>
<span id="L314" class="LineNr">314 </span>
<span id="L315" class="LineNr">315 </span>Arguments:
<span id="L316" class="LineNr">316 </span>count
<span id="L317" class="LineNr">317 </span>   is a number representing the number of arguments supplied by the
<span id="L318" class="LineNr">318 </span>   command which caused the process creation.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L319" class="LineNr">319 </span>max_length
<span id="L320" class="LineNr">320 </span>   is the length of the longest login argument.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L321" class="LineNr">321 </span>total_length
<span id="L322" class="LineNr">322 </span>   is the total length of all the login arguments.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L323" class="LineNr">323 </span>
<span id="L324" class="LineNr">324 </span>
<span id="L325" class="LineNr">325 </span>:Entry:  login_arg_ptr:  03/08/85 user_info_$login_arg_ptr
<span id="L326" class="LineNr">326 </span>
<span id="L327" class="LineNr">327 </span>
<span id="L328" class="LineNr">328 </span>Function:  This entry point returns a pointer to the character-string
<span id="L329" class="LineNr">329 </span>login argument specified by the argument number, and also returns the
<span id="L330" class="LineNr">330 </span>length of the argument-string.  See the description of
<span id="L331" class="LineNr">331 </span>user_info_$login_arg_count for more information about login arguments.
<span id="L332" class="LineNr">332 </span>
<span id="L333" class="LineNr">333 </span>
<span id="L334" class="LineNr">334 </span>Syntax:
<span id="L335" class="LineNr">335 </span>declare user_info_$login_arg_ptr entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L336" class="LineNr">336 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L337" class="LineNr">337 </span>call user_info_$login_arg_ptr <span class="textRainbow_lv0_p0">(</span>arg_no<span class="textRainbow_lv0_o0">,</span> arg_ptr<span class="textRainbow_lv0_o0">,</span> arg_len<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L338" class="LineNr">338 </span>
<span id="L339" class="LineNr">339 </span>
<span id="L340" class="LineNr">340 </span>Arguments:
<span id="L341" class="LineNr">341 </span>arg_no
<span id="L342" class="LineNr">342 </span>is an integer specifying the number of the desired argument.
<span id="L343" class="LineNr">343 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L344" class="LineNr">344 </span>arg_ptr
<span id="L345" class="LineNr">345 </span>   is a pointer to the unaligned character-string argument specified by
<span id="L346" class="LineNr">346 </span>   arg_no.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L347" class="LineNr">347 </span>arg_len
<span id="L348" class="LineNr">348 </span>   is the length <span class="textRainbow_lv0_p0">(</span>in characters<span class="textRainbow_lv0_p0">)</span> of the argument specified by arg_no.
<span id="L349" class="LineNr">349 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L350" class="LineNr">350 </span>code
<span id="L351" class="LineNr">351 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> If the code error_table_$noarg
<span id="L352" class="LineNr">352 </span>   is returned, the values of arg_ptr and arg_len are undefined.
<span id="L353" class="LineNr">353 </span>
<span id="L354" class="LineNr">354 </span>
<span id="L355" class="LineNr">355 </span>:Entry:  login_data:  03/08/85 user_info_$login_data
<span id="L356" class="LineNr">356 </span>
<span id="L357" class="LineNr">357 </span>
<span id="L358" class="LineNr">358 </span>Function:  This entry point returns useful information about how the
<span id="L359" class="LineNr">359 </span>user logged in.
<span id="L360" class="LineNr">360 </span>
<span id="L361" class="LineNr">361 </span>
<span id="L362" class="LineNr">362 </span>Syntax:
<span id="L363" class="LineNr">363 </span>declare user_info_$login_data entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L364" class="LineNr">364 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L365" class="LineNr">365 </span>call user_info_$login_data <span class="textRainbow_lv0_p0">(</span>person_id<span class="textRainbow_lv0_o0">,</span> project_id<span class="textRainbow_lv0_o0">,</span> acct<span class="textRainbow_lv0_o0">,</span> anon<span class="textRainbow_lv0_o0">,</span> stby<span class="textRainbow_lv0_o0">,</span>
<span id="L366" class="LineNr">366 </span>     weight<span class="textRainbow_lv0_o0">,</span> time_login<span class="textRainbow_lv0_o0">,</span> login_word<span class="textRainbow_lv0_p0">)</span>;
<span id="L367" class="LineNr">367 </span>
<span id="L368" class="LineNr">368 </span>
<span id="L369" class="LineNr">369 </span>Arguments:
<span id="L370" class="LineNr">370 </span>person_id
<span id="L371" class="LineNr">371 </span>   is the user's name from the login line <span class="textRainbow_lv0_p0">(</span>maximum of 22 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L372" class="LineNr">372 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L373" class="LineNr">373 </span>project_id
<span id="L374" class="LineNr">374 </span>   is the user's project identifier <span class="textRainbow_lv0_p0">(</span>maximum of 9 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L375" class="LineNr">375 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L376" class="LineNr">376 </span>acct
<span id="L377" class="LineNr">377 </span>   is the user's account identifier <span class="textRainbow_lv0_p0">(</span>maximum of 32 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L378" class="LineNr">378 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L379" class="LineNr">379 </span>anon
<span id="L380" class="LineNr">380 </span>   indicates whether a user is an anonymous user.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L381" class="LineNr">381 </span>   1 is anonymous
<span id="L382" class="LineNr">382 </span>   0 is not anonymous
<span id="L383" class="LineNr">383 </span>
<span id="L384" class="LineNr">384 </span>
<span id="L385" class="LineNr">385 </span>stby
<span id="L386" class="LineNr">386 </span>   indicates whether a user is a standby user <span class="textRainbow_lv0_p0">(</span>i.e.<span class="textRainbow_lv0_o0">,</span> one who can be
<span id="L387" class="LineNr">387 </span>   preempted<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L388" class="LineNr">388 </span>   1 can be preempted
<span id="L389" class="LineNr">389 </span>   0 cannot be preempted
<span id="L390" class="LineNr">390 </span>weight
<span id="L391" class="LineNr">391 </span>   is 10 times the user's weight.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> See the
<span id="L392" class="LineNr">392 </span>   user_info_$load_ctl_info entry point.
<span id="L393" class="LineNr">393 </span>time_login
<span id="L394" class="LineNr">394 </span>   is the time the user logged in.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It is expressed as a
<span id="L395" class="LineNr">395 </span>   calendar clock reading in microseconds.
<span id="L396" class="LineNr">396 </span>login_word
<span id="L397" class="LineNr">397 </span>   is &quot;login&quot; or &quot;enter,&quot; depending on which command was used to log
<span id="L398" class="LineNr">398 </span>   in.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L399" class="LineNr">399 </span>
<span id="L400" class="LineNr">400 </span>
<span id="L401" class="LineNr">401 </span>:Entry:  logout_data:  03/08/85 user_info_$logout_data
<span id="L402" class="LineNr">402 </span>
<span id="L403" class="LineNr">403 </span>
<span id="L404" class="LineNr">404 </span>Function:  This entry point returns information about how the user logs
<span id="L405" class="LineNr">405 </span>out.
<span id="L406" class="LineNr">406 </span>
<span id="L407" class="LineNr">407 </span>
<span id="L408" class="LineNr">408 </span>Syntax:
<span id="L409" class="LineNr">409 </span>declare user_info_$logout_data entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L410" class="LineNr">410 </span>call user_info_$logout_data <span class="textRainbow_lv0_p0">(</span>logout_channel<span class="textRainbow_lv0_o0">,</span> logout_pid<span class="textRainbow_lv0_p0">)</span>;
<span id="L411" class="LineNr">411 </span>
<span id="L412" class="LineNr">412 </span>
<span id="L413" class="LineNr">413 </span>Arguments:
<span id="L414" class="LineNr">414 </span>logout_channel
<span id="L415" class="LineNr">415 </span>   is the event channel over which logouts are to be signalled.
<span id="L416" class="LineNr">416 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L417" class="LineNr">417 </span>logout_pid
<span id="L418" class="LineNr">418 </span>   is the process identifier of the answering service.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L419" class="LineNr">419 </span>
<span id="L420" class="LineNr">420 </span>
<span id="L421" class="LineNr">421 </span>:Entry:  outer_module:  03/08/85 user_info_$outer_module
<span id="L422" class="LineNr">422 </span>
<span id="L423" class="LineNr">423 </span>
<span id="L424" class="LineNr">424 </span>Function:  This entry point returns the name of the user's outer
<span id="L425" class="LineNr">425 </span>module.
<span id="L426" class="LineNr">426 </span>
<span id="L427" class="LineNr">427 </span>
<span id="L428" class="LineNr">428 </span>Syntax:
<span id="L429" class="LineNr">429 </span>declare user_info_$outer_module entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L430" class="LineNr">430 </span>   call user_info_$outer_module <span class="textRainbow_lv0_p0">(</span>om<span class="textRainbow_lv0_p0">)</span>;
<span id="L431" class="LineNr">431 </span>
<span id="L432" class="LineNr">432 </span>
<span id="L433" class="LineNr">433 </span>Arguments:
<span id="L434" class="LineNr">434 </span>om
<span id="L435" class="LineNr">435 </span>   is the name of the user's outer module <span class="textRainbow_lv0_p0">(</span>maximum of 32 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L436" class="LineNr">436 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> The outer module is the initial I/O module attached to the
<span id="L437" class="LineNr">437 </span>   user_i/o switch.
<span id="L438" class="LineNr">438 </span>
<span id="L439" class="LineNr">439 </span>
<span id="L440" class="LineNr">440 </span>:Entry:  process_type:  03/08/85 user_info_$process_type
<span id="L441" class="LineNr">441 </span>
<span id="L442" class="LineNr">442 </span>
<span id="L443" class="LineNr">443 </span>Function:  This entry point returns information about the type of the
<span id="L444" class="LineNr">444 </span>current process.
<span id="L445" class="LineNr">445 </span>
<span id="L446" class="LineNr">446 </span>
<span id="L447" class="LineNr">447 </span>Syntax:
<span id="L448" class="LineNr">448 </span>declare user_info_$process_type entry <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>17<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L449" class="LineNr">449 </span>call user_info_$process_type <span class="textRainbow_lv0_p0">(</span>process_type<span class="textRainbow_lv0_p0">)</span>;
<span id="L450" class="LineNr">450 </span>
<span id="L451" class="LineNr">451 </span>
<span id="L452" class="LineNr">452 </span>Arguments:
<span id="L453" class="LineNr">453 </span>process_type
<span id="L454" class="LineNr">454 </span>   is the type of the user's current process.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be:
<span id="L455" class="LineNr">455 </span>   1   interactive
<span id="L456" class="LineNr">456 </span>   2   absentee
<span id="L457" class="LineNr">457 </span>   3   daemon
<span id="L458" class="LineNr">458 </span>
<span id="L459" class="LineNr">459 </span>
<span id="L460" class="LineNr">460 </span>:Entry:  responder:  03/08/85 user_info_$responder
<span id="L461" class="LineNr">461 </span>
<span id="L462" class="LineNr">462 </span>
<span id="L463" class="LineNr">463 </span>Function:  The user_info_$responder entry point returns the name of the
<span id="L464" class="LineNr">464 </span>user's login responder.
<span id="L465" class="LineNr">465 </span>
<span id="L466" class="LineNr">466 </span>
<span id="L467" class="LineNr">467 </span>Syntax:
<span id="L468" class="LineNr">468 </span>declare user_info_$responder entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L469" class="LineNr">469 </span>call user_info_$responder <span class="textRainbow_lv0_p0">(</span>resp<span class="textRainbow_lv0_p0">)</span>;
<span id="L470" class="LineNr">470 </span>
<span id="L471" class="LineNr">471 </span>
<span id="L472" class="LineNr">472 </span>Arguments:
<span id="L473" class="LineNr">473 </span>resp
<span id="L474" class="LineNr">474 </span>   is the name of the user's login responder <span class="textRainbow_lv0_p0">(</span>maximum of 64
<span id="L475" class="LineNr">475 </span>   characters<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L476" class="LineNr">476 </span>
<span id="L477" class="LineNr">477 </span>
<span id="L478" class="LineNr">478 </span>:Entry:  ring_range:  12/07/87 user_info_$ring_range
<span id="L479" class="LineNr">479 </span>
<span id="L480" class="LineNr">480 </span>Function:  This entry returns the range of the user's authorized login
<span id="L481" class="LineNr">481 </span>ring level.
<span id="L482" class="LineNr">482 </span>
<span id="L483" class="LineNr">483 </span>
<span id="L484" class="LineNr">484 </span>Syntax:
<span id="L485" class="LineNr">485 </span>dcl user_info_$ring_range entry <span class="textRainbow_lv0_p0">(</span><span class="textRainbow_lv1_p0">(</span>2<span class="textRainbow_lv1_p0">)</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L486" class="LineNr">486 </span>call user_info_$ring_range <span class="textRainbow_lv0_p0">(</span>ring_range<span class="textRainbow_lv0_p0">)</span>;
<span id="L487" class="LineNr">487 </span>
<span id="L488" class="LineNr">488 </span>
<span id="L489" class="LineNr">489 </span>Arguments:
<span id="L490" class="LineNr">490 </span>ring_range
<span id="L491" class="LineNr">491 </span>   is the range <span class="textRainbow_lv0_p0">(</span>1 to 7<span class="textRainbow_lv0_p0">)</span> of the user's authorized login ring.
<span id="L492" class="LineNr">492 </span>
<span id="L493" class="LineNr">493 </span>
<span id="L494" class="LineNr">494 </span>:Entry:  rs_name:  03/08/85 user_info_$rs_name
<span id="L495" class="LineNr">495 </span>
<span id="L496" class="LineNr">496 </span>
<span id="L497" class="LineNr">497 </span>Function:  This entry returns the name of the rate structure that is in
<span id="L498" class="LineNr">498 </span>effect for the process in which the call is made.
<span id="L499" class="LineNr">499 </span>
<span id="L500" class="LineNr">500 </span>
<span id="L501" class="LineNr">501 </span>Syntax:
<span id="L502" class="LineNr">502 </span>dcl user_info_$rs_name entry <span class="textRainbow_lv0_p0">(</span>char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L503" class="LineNr">503 </span>call user_info_$rs_name <span class="textRainbow_lv0_p0">(</span>rs_name<span class="textRainbow_lv0_p0">)</span>;
<span id="L504" class="LineNr">504 </span>
<span id="L505" class="LineNr">505 </span>
<span id="L506" class="LineNr">506 </span>Arguments:
<span id="L507" class="LineNr">507 </span>rs_name
<span id="L508" class="LineNr">508 </span>   is the name of the rate structure in effect for this process.
<span id="L509" class="LineNr">509 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> <span class="textRainbow_lv0_p0">(</span>The name may be up to 32 characters long<span class="textRainbow_lv0_p0">)</span>.
<span id="L510" class="LineNr">510 </span>
<span id="L511" class="LineNr">511 </span>
<span id="L512" class="LineNr">512 </span>:Entry:  rs_number:  03/08/85 user_info_$rs_number
<span id="L513" class="LineNr">513 </span>
<span id="L514" class="LineNr">514 </span>
<span id="L515" class="LineNr">515 </span>Function:  This entry returns the number of the rate structure that is
<span id="L516" class="LineNr">516 </span>in effect for the process in which the call is made.
<span id="L517" class="LineNr">517 </span>
<span id="L518" class="LineNr">518 </span>
<span id="L519" class="LineNr">519 </span>Syntax:
<span id="L520" class="LineNr">520 </span>dcl user_info_$rs_number entry <span class="textRainbow_lv0_p0">(</span>fixed bin <span class="textRainbow_lv1_p0">(</span>9<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L521" class="LineNr">521 </span>call user_info_$rs_number <span class="textRainbow_lv0_p0">(</span>rs_number<span class="textRainbow_lv0_p0">)</span>;
<span id="L522" class="LineNr">522 </span>
<span id="L523" class="LineNr">523 </span>
<span id="L524" class="LineNr">524 </span>Arguments:
<span id="L525" class="LineNr">525 </span>rs_number
<span id="L526" class="LineNr">526 </span>   is the number of the rate structure in effect for this process.
<span id="L527" class="LineNr">527 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L528" class="LineNr">528 </span>
<span id="L529" class="LineNr">529 </span>
<span id="L530" class="LineNr">530 </span>:Entry:  service_type:  03/08/85 user_info_$service_type
<span id="L531" class="LineNr">531 </span>
<span id="L532" class="LineNr">532 </span>
<span id="L533" class="LineNr">533 </span>Function:  This entry point returns the service type of the terminal on
<span id="L534" class="LineNr">534 </span>which the user logged in.
<span id="L535" class="LineNr">535 </span>
<span id="L536" class="LineNr">536 </span>
<span id="L537" class="LineNr">537 </span>Syntax:
<span id="L538" class="LineNr">538 </span>declare user_info_$service_type entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L539" class="LineNr">539 </span>call user_info_$service_type <span class="textRainbow_lv0_p0">(</span>type<span class="textRainbow_lv0_p0">)</span>;
<span id="L540" class="LineNr">540 </span>
<span id="L541" class="LineNr">541 </span>
<span id="L542" class="LineNr">542 </span>Arguments:
<span id="L543" class="LineNr">543 </span>type
<span id="L544" class="LineNr">544 </span>   is a number representing the service type of the user's terminal.
<span id="L545" class="LineNr">545 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be:
<span id="L546" class="LineNr">546 </span>   1  login type; interactive command level.
<span id="L547" class="LineNr">547 </span>   2  FTP type; Advanced Research Projects Agency Network <span class="textRainbow_lv0_p0">(</span>ARPANET<span class="textRainbow_lv0_p0">)</span>
<span id="L548" class="LineNr">548 </span>      file transfer protocol
<span id="L549" class="LineNr">549 </span>
<span id="L550" class="LineNr">550 </span>
<span id="L551" class="LineNr">551 </span>:Entry:  terminal_data:  03/08/85 user_info_$terminal_data
<span id="L552" class="LineNr">552 </span>
<span id="L553" class="LineNr">553 </span>
<span id="L554" class="LineNr">554 </span>Function:  This entry point returns information about the terminal on
<span id="L555" class="LineNr">555 </span>which the user is logged in.
<span id="L556" class="LineNr">556 </span>
<span id="L557" class="LineNr">557 </span>
<span id="L558" class="LineNr">558 </span>Syntax:
<span id="L559" class="LineNr">559 </span>declare user_info_$terminal_data entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L560" class="LineNr">560 </span>     fixed bin<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L561" class="LineNr">561 </span>call user_info_$terminal_data <span class="textRainbow_lv0_p0">(</span>id_code<span class="textRainbow_lv0_o0">,</span> type<span class="textRainbow_lv0_o0">,</span> channel<span class="textRainbow_lv0_o0">,</span> line_type<span class="textRainbow_lv0_o0">,</span>
<span id="L562" class="LineNr">562 </span>     charge_type<span class="textRainbow_lv0_p0">)</span>;
<span id="L563" class="LineNr">563 </span>
<span id="L564" class="LineNr">564 </span>
<span id="L565" class="LineNr">565 </span>Arguments:
<span id="L566" class="LineNr">566 </span>id_code
<span id="L567" class="LineNr">567 </span>   is the identifier code of the user's terminal <span class="textRainbow_lv0_p0">(</span>maximum of 4
<span id="L568" class="LineNr">568 </span>   characters<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L569" class="LineNr">569 </span>type
<span id="L570" class="LineNr">570 </span>   is the type of terminal as it was at login time.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L571" class="LineNr">571 </span>channel
<span id="L572" class="LineNr">572 </span>   is the channel identification <span class="textRainbow_lv0_p0">(</span>maximum of 32 characters<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L573" class="LineNr">573 </span>line_type
<span id="L574" class="LineNr">574 </span>   is the line type associated with the channel.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L575" class="LineNr">575 </span>charge_type
<span id="L576" class="LineNr">576 </span>   is the name of the device charge associated with the user's login
<span id="L577" class="LineNr">577 </span>   terminal <span class="textRainbow_lv0_p0">(</span>maximum of 8 characters<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> The rate can be found
<span id="L578" class="LineNr">578 </span>   in the array returned by system_info_$device_prices.
<span id="L579" class="LineNr">579 </span>
<span id="L580" class="LineNr">580 </span>
<span id="L581" class="LineNr">581 </span>:Entry:  usage_data:  03/08/85 user_info_$usage_data
<span id="L582" class="LineNr">582 </span>
<span id="L583" class="LineNr">583 </span>
<span id="L584" class="LineNr">584 </span>Function:  This entry point returns user usage data.
<span id="L585" class="LineNr">585 </span>
<span id="L586" class="LineNr">586 </span>
<span id="L587" class="LineNr">587 </span>Syntax:
<span id="L588" class="LineNr">588 </span>declare user_info_$usage_data entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L589" class="LineNr">589 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L590" class="LineNr">590 </span>call user_info_$usage_data <span class="textRainbow_lv0_p0">(</span>nproc<span class="textRainbow_lv0_o0">,</span> old_cpu<span class="textRainbow_lv0_o0">,</span> time_login<span class="textRainbow_lv0_o0">,</span> time_create<span class="textRainbow_lv0_o0">,</span>
<span id="L591" class="LineNr">591 </span>     old_mem<span class="textRainbow_lv0_o0">,</span> old_io_ops<span class="textRainbow_lv0_p0">)</span>;
<span id="L592" class="LineNr">592 </span>
<span id="L593" class="LineNr">593 </span>
<span id="L594" class="LineNr">594 </span>Arguments:
<span id="L595" class="LineNr">595 </span>nproc
<span id="L596" class="LineNr">596 </span>   is the number of processes created for this login session.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L597" class="LineNr">597 </span>old_cpu
<span id="L598" class="LineNr">598 </span>   is the CPU time used by previous processes in the login session.
<span id="L599" class="LineNr">599 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L600" class="LineNr">600 </span>time_login
<span id="L601" class="LineNr">601 </span>   is the time the user logged in.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It is expressed as a
<span id="L602" class="LineNr">602 </span>   calendar clock reading in microseconds.
<span id="L603" class="LineNr">603 </span>
<span id="L604" class="LineNr">604 </span>
<span id="L605" class="LineNr">605 </span>time_create
<span id="L606" class="LineNr">606 </span>   is the time that the current process was created.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L607" class="LineNr">607 </span>old_mem
<span id="L608" class="LineNr">608 </span>   is the memory usage by previous processes in this login session.
<span id="L609" class="LineNr">609 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L610" class="LineNr">610 </span>old_io_ops
<span id="L611" class="LineNr">611 </span>   is the number of terminal I/O operations by previous processes in
<span id="L612" class="LineNr">612 </span>   this login session.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L613" class="LineNr">613 </span>
<span id="L614" class="LineNr">614 </span>
<span id="L615" class="LineNr">615 </span>:Entry:  whoami:  03/08/85 user_info_$whoami
<span id="L616" class="LineNr">616 </span>
<span id="L617" class="LineNr">617 </span>
<span id="L618" class="LineNr">618 </span>Function:  The user_info_$whoami entry point is the same as the
<span id="L619" class="LineNr">619 </span>user_info_ entry point.  The name is a mnemonic device added for
<span id="L620" class="LineNr">620 </span>convenience.
<span id="L621" class="LineNr">621 </span>
<span id="L622" class="LineNr">622 </span>
<span id="L623" class="LineNr">623 </span>Syntax:
<span id="L624" class="LineNr">624 </span>declare user_info_$whoami entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L625" class="LineNr">625 </span>call user_info_$whoami <span class="textRainbow_lv0_p0">(</span>person_id<span class="textRainbow_lv0_o0">,</span> project_id<span class="textRainbow_lv0_o0">,</span> acct<span class="textRainbow_lv0_p0">)</span>;
<span id="L626" class="LineNr">626 </span>
<span id="L627" class="LineNr">627 </span>
<span id="L628" class="LineNr">628 </span>Arguments:
<span id="L629" class="LineNr">629 </span>person_id
<span id="L630" class="LineNr">630 </span>   is the user's name from the login line <span class="textRainbow_lv0_p0">(</span>maximum of 22 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L631" class="LineNr">631 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L632" class="LineNr">632 </span>project_id
<span id="L633" class="LineNr">633 </span>   is the user's project identifier <span class="textRainbow_lv0_p0">(</span>maximum of 9 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L634" class="LineNr">634 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L635" class="LineNr">635 </span>acct
<span id="L636" class="LineNr">636 </span>   is the user's account identifier <span class="textRainbow_lv0_p0">(</span>maximum of 32 characters<span class="textRainbow_lv0_p0">)</span>.
<span id="L637" class="LineNr">637 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
